- Home
- API Enriched
- Sites
- config
- Replace GCP VPC site.
Replace GCP VPC site.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/gcp_vpc_sites/example';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"metadata":{"annotations":{},"description":"example","disable":true,"labels":{},"name":"example","namespace":"example"},"spec":{"address":"example","block_all_services":{},"blocked_services":{"blocked_sevice":[{"dns":{},"network_type":"VIRTUAL_NETWORK_SITE_LOCAL","ssh":{},"web_user_interface":{}}]},"cloud_credentials":{"name":"example","namespace":"example"},"coordinates":{"latitude":1,"longitude":1},"custom_dns":{"inside_nameserver":"example","outside_nameserver":"example"},"default_blocked_services":{},"disk_size":1,"gcp_region":"example","ingress_egress_gw":{"active_enhanced_firewall_policies":{"enhanced_firewall_policies":[{"name":"example","namespace":"example"}]},"active_forward_proxy_policies":{"forward_proxy_policies":[{"name":"example","namespace":"example"}]},"active_network_policies":{"network_policies":[{"name":"example","namespace":"example"}]},"dc_cluster_group_inside_vn":{"name":"example","namespace":"example"},"dc_cluster_group_outside_vn":{"name":"example","namespace":"example"},"forward_proxy_allow_all":{},"gcp_zone_names":["example"],"global_network_list":{"global_network_connections":[{"sli_to_global_dr":{"global_vn":{"name":"example","namespace":"example"}},"slo_to_global_dr":{"global_vn":{"name":"example","namespace":"example"}}}]},"inside_network":{"existing_network":{"name":"example"},"new_network":{"name":"example"},"new_network_autogenerate":{}},"inside_static_routes":{"static_route_list":[{"custom_static_route":{"attrs":["ROUTE_ATTR_NO_OP"],"labels":{},"nexthop":{"interface":[{"name":"example","namespace":"example"}],"nexthop_address":{"ipv4":{"addr":"example"},"ipv6":{"addr":"example"}},"type":"NEXT_HOP_DEFAULT_GATEWAY"},"subnets":[{"ipv4":{"plen":1,"prefix":"example"},"ipv6":{"plen":1,"prefix":"example"}}]},"simple_static_route":"example"}]},"inside_subnet":{"existing_subnet":{"subnet_name":"example"},"new_subnet":{"primary_ipv4":"example","subnet_name":"example"}},"no_dc_cluster_group":{},"no_forward_proxy":{},"no_global_network":{},"no_inside_static_routes":{},"no_network_policy":{},"no_outside_static_routes":{},"node_number":1,"outside_network":{"existing_network":{"name":"example"},"new_network":{"name":"example"},"new_network_autogenerate":{}},"outside_static_routes":{"static_route_list":[{"custom_static_route":{"attrs":["ROUTE_ATTR_NO_OP"],"labels":{},"nexthop":{"interface":[{"name":"example","namespace":"example"}],"nexthop_address":{"ipv4":{"addr":"example"},"ipv6":{"addr":"example"}},"type":"NEXT_HOP_DEFAULT_GATEWAY"},"subnets":[{"ipv4":{"plen":1,"prefix":"example"},"ipv6":{"plen":1,"prefix":"example"}}]},"simple_static_route":"example"}]},"outside_subnet":{"existing_subnet":{"subnet_name":"example"},"new_subnet":{"primary_ipv4":"example","subnet_name":"example"}},"performance_enhancement_mode":{"perf_mode_l3_enhanced":{"jumbo":{},"no_jumbo":{}},"perf_mode_l7_enhanced":{}},"sm_connection_public_ip":{},"sm_connection_pvt_ip":{}},"ingress_gw":{"gcp_zone_names":["example"],"local_network":{"existing_network":{"name":"example"},"new_network":{"name":"example"},"new_network_autogenerate":{}},"local_subnet":{"existing_subnet":{"subnet_name":"example"},"new_subnet":{"primary_ipv4":"example","subnet_name":"example"}},"node_number":1,"performance_enhancement_mode":{"perf_mode_l3_enhanced":{"jumbo":{},"no_jumbo":{}},"perf_mode_l7_enhanced":{}}},"instance_type":"example","kubernetes_upgrade_drain":{"disable_upgrade_drain":{},"enable_upgrade_drain":{"disable_vega_upgrade_mode":{},"drain_max_unavailable_node_count":1,"drain_node_timeout":1,"enable_vega_upgrade_mode":{}}},"log_receiver":{"name":"example","namespace":"example"},"logs_streaming_disabled":{},"offline_survivability_mode":{"enable_offline_survivability_mode":{},"no_offline_survivability_mode":{}},"private_connect_disabled":{},"private_connectivity":{"cloud_link":{"name":"example","namespace":"example"},"inside":{},"outside":{}},"ssh_key":"example","voltstack_cluster":{"active_enhanced_firewall_policies":{"enhanced_firewall_policies":[{"name":"example","namespace":"example"}]},"active_forward_proxy_policies":{"forward_proxy_policies":[{"name":"example","namespace":"example"}]},"active_network_policies":{"network_policies":[{"name":"example","namespace":"example"}]},"dc_cluster_group":{"name":"example","namespace":"example"},"forward_proxy_allow_all":{},"gcp_zone_names":["example"],"global_network_list":{"global_network_connections":[{"sli_to_global_dr":{"global_vn":{"name":"example","namespace":"example"}},"slo_to_global_dr":{"global_vn":{"name":"example","namespace":"example"}}}]},"k8s_cluster":{"name":"example","namespace":"example"},"no_dc_cluster_group":{},"no_forward_proxy":{},"no_global_network":{},"no_k8s_cluster":{},"no_network_policy":{},"no_outside_static_routes":{},"node_number":1,"outside_static_routes":{"static_route_list":[{"custom_static_route":{"attrs":["ROUTE_ATTR_NO_OP"],"labels":{},"nexthop":{"interface":[{"name":"example","namespace":"example"}],"nexthop_address":{"ipv4":{"addr":"example"},"ipv6":{"addr":"example"}},"type":"NEXT_HOP_DEFAULT_GATEWAY"},"subnets":[{"ipv4":{"plen":1,"prefix":"example"},"ipv6":{"plen":1,"prefix":"example"}}]},"simple_static_route":"example"}]},"site_local_network":{"existing_network":{"name":"example"},"new_network":{"name":"example"},"new_network_autogenerate":{}},"site_local_subnet":{"existing_subnet":{"subnet_name":"example"},"new_subnet":{"primary_ipv4":"example","subnet_name":"example"}},"sm_connection_public_ip":{},"sm_connection_pvt_ip":{}}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/gcp_vpc_sites/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "address": "example", "block_all_services": {}, "blocked_services": { "blocked_sevice": [ { "dns": {}, "network_type": "VIRTUAL_NETWORK_SITE_LOCAL", "ssh": {}, "web_user_interface": {} } ] }, "cloud_credentials": { "name": "example", "namespace": "example" }, "coordinates": { "latitude": 1, "longitude": 1 }, "custom_dns": { "inside_nameserver": "example", "outside_nameserver": "example" }, "default_blocked_services": {}, "disk_size": 1, "gcp_region": "example", "ingress_egress_gw": { "active_enhanced_firewall_policies": { "enhanced_firewall_policies": [ { "name": "example", "namespace": "example" } ] }, "active_forward_proxy_policies": { "forward_proxy_policies": [ { "name": "example", "namespace": "example" } ] }, "active_network_policies": { "network_policies": [ { "name": "example", "namespace": "example" } ] }, "dc_cluster_group_inside_vn": { "name": "example", "namespace": "example" }, "dc_cluster_group_outside_vn": { "name": "example", "namespace": "example" }, "forward_proxy_allow_all": {}, "gcp_zone_names": [ "example" ], "global_network_list": { "global_network_connections": [ { "sli_to_global_dr": { "global_vn": { "name": "example", "namespace": "example" } }, "slo_to_global_dr": { "global_vn": { "name": "example", "namespace": "example" } } } ] }, "inside_network": { "existing_network": { "name": "example" }, "new_network": { "name": "example" }, "new_network_autogenerate": {} }, "inside_static_routes": { "static_route_list": [ { "custom_static_route": { "attrs": [ "ROUTE_ATTR_NO_OP" ], "labels": {}, "nexthop": { "interface": [ { "name": "example", "namespace": "example" } ], "nexthop_address": { "ipv4": { "addr": "example" }, "ipv6": { "addr": "example" } }, "type": "NEXT_HOP_DEFAULT_GATEWAY" }, "subnets": [ { "ipv4": { "plen": 1, "prefix": "example" }, "ipv6": { "plen": 1, "prefix": "example" } } ] }, "simple_static_route": "example" } ] }, "inside_subnet": { "existing_subnet": { "subnet_name": "example" }, "new_subnet": { "primary_ipv4": "example", "subnet_name": "example" } }, "no_dc_cluster_group": {}, "no_forward_proxy": {}, "no_global_network": {}, "no_inside_static_routes": {}, "no_network_policy": {}, "no_outside_static_routes": {}, "node_number": 1, "outside_network": { "existing_network": { "name": "example" }, "new_network": { "name": "example" }, "new_network_autogenerate": {} }, "outside_static_routes": { "static_route_list": [ { "custom_static_route": { "attrs": [ "ROUTE_ATTR_NO_OP" ], "labels": {}, "nexthop": { "interface": [ { "name": "example", "namespace": "example" } ], "nexthop_address": { "ipv4": { "addr": "example" }, "ipv6": { "addr": "example" } }, "type": "NEXT_HOP_DEFAULT_GATEWAY" }, "subnets": [ { "ipv4": { "plen": 1, "prefix": "example" }, "ipv6": { "plen": 1, "prefix": "example" } } ] }, "simple_static_route": "example" } ] }, "outside_subnet": { "existing_subnet": { "subnet_name": "example" }, "new_subnet": { "primary_ipv4": "example", "subnet_name": "example" } }, "performance_enhancement_mode": { "perf_mode_l3_enhanced": { "jumbo": {}, "no_jumbo": {} }, "perf_mode_l7_enhanced": {} }, "sm_connection_public_ip": {}, "sm_connection_pvt_ip": {} }, "ingress_gw": { "gcp_zone_names": [ "example" ], "local_network": { "existing_network": { "name": "example" }, "new_network": { "name": "example" }, "new_network_autogenerate": {} }, "local_subnet": { "existing_subnet": { "subnet_name": "example" }, "new_subnet": { "primary_ipv4": "example", "subnet_name": "example" } }, "node_number": 1, "performance_enhancement_mode": { "perf_mode_l3_enhanced": { "jumbo": {}, "no_jumbo": {} }, "perf_mode_l7_enhanced": {} } }, "instance_type": "example", "kubernetes_upgrade_drain": { "disable_upgrade_drain": {}, "enable_upgrade_drain": { "disable_vega_upgrade_mode": {}, "drain_max_unavailable_node_count": 1, "drain_node_timeout": 1, "enable_vega_upgrade_mode": {} } }, "log_receiver": { "name": "example", "namespace": "example" }, "logs_streaming_disabled": {}, "offline_survivability_mode": { "enable_offline_survivability_mode": {}, "no_offline_survivability_mode": {} }, "private_connect_disabled": {}, "private_connectivity": { "cloud_link": { "name": "example", "namespace": "example" }, "inside": {}, "outside": {} }, "ssh_key": "example", "voltstack_cluster": { "active_enhanced_firewall_policies": { "enhanced_firewall_policies": [ { "name": "example", "namespace": "example" } ] }, "active_forward_proxy_policies": { "forward_proxy_policies": [ { "name": "example", "namespace": "example" } ] }, "active_network_policies": { "network_policies": [ { "name": "example", "namespace": "example" } ] }, "dc_cluster_group": { "name": "example", "namespace": "example" }, "forward_proxy_allow_all": {}, "gcp_zone_names": [ "example" ], "global_network_list": { "global_network_connections": [ { "sli_to_global_dr": { "global_vn": { "name": "example", "namespace": "example" } }, "slo_to_global_dr": { "global_vn": { "name": "example", "namespace": "example" } } } ] }, "k8s_cluster": { "name": "example", "namespace": "example" }, "no_dc_cluster_group": {}, "no_forward_proxy": {}, "no_global_network": {}, "no_k8s_cluster": {}, "no_network_policy": {}, "no_outside_static_routes": {}, "node_number": 1, "outside_static_routes": { "static_route_list": [ { "custom_static_route": { "attrs": [ "ROUTE_ATTR_NO_OP" ], "labels": {}, "nexthop": { "interface": [ { "name": "example", "namespace": "example" } ], "nexthop_address": { "ipv4": { "addr": "example" }, "ipv6": { "addr": "example" } }, "type": "NEXT_HOP_DEFAULT_GATEWAY" }, "subnets": [ { "ipv4": { "plen": 1, "prefix": "example" }, "ipv6": { "plen": 1, "prefix": "example" } } ] }, "simple_static_route": "example" } ] }, "site_local_network": { "existing_network": { "name": "example" }, "new_network": { "name": "example" }, "new_network_autogenerate": {} }, "site_local_subnet": { "existing_subnet": { "subnet_name": "example" }, "new_subnet": { "primary_ipv4": "example", "subnet_name": "example" } }, "sm_connection_public_ip": {}, "sm_connection_pvt_ip": {} } } }'Shape of the GCP VPC site replace specification.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Name The configuration object to be replaced will be looked up by name.
Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘Replace’ RPC.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
object
Site’s geographical address that can be used to determine its latitude and longitude.
object
object
Blocking or denial configuration
Disable a node local service on this site.
object
object
object
object
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
Latitude of the site location.
Longitude of site location.
object
Optional DNS server IP to be used for name resolution in inside network.
Optional DNS server IP to be used for name resolution in outside network.
object
Disk size to be used for this instance in GiB. 80 is 80 GiB.
Name for GCP Region. Required: YES.
object
object
Ordered List of Enhanced Firewall Policies active
Required: YES.
This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
Ordered List of Forward Proxy Policies active
Required: YES.
This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
Ordered List of Firewall Policies active for this network firewall
Required: YES.
This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
X-required List of zones when instances will be created, needs to match with region selected. Required: YES.
object
Global network connections
Required: YES.
Global network connection.
object
object
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
object
Name for your GCP VPC Network Required: YES.
object
Name for your GCP VPC Network Required: YES.
object
object
List of Static routes
Required: YES.
Different ways to configure static routes.
object
object
List of route attributes associated with the static route.
Add Labels for this Static Route, these labels can be used in network policy.
object
object
Nexthop is network interface when type is “Network-Interface”
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
object
object
IPv4 Address in string form with dot-decimal notation.
object
IPv6 Address in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ The address can be compacted by suppressing zeros e.g. ‘2001:db8:0:0:0:0:2:1’ becomes ‘2001:db8::2:1’ or ‘2001:db8:0:0:0:2:0:0’ becomes ‘2001:db8::2::’
List of route prefixes
Required: YES.
IP Address used to specify an IPv4 or IPv6 subnet addresses.
object
object
Prefix-length of the IPv4 subnet. Must be <= 32.
Prefix part of the IPv4 subnet in string form with dot-decimal notation.
object
Prefix length of the IPv6 subnet. Must be <= 128.
Prefix part of the IPv6 subnet given in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ e.g. “2001:db8:0:0:0:2:0:0” The address can be compacted by suppressing zeros e.g. “2001:db8::2::”
Exclusive with [custom_static_route] Use simple static route for prefix pointing to single interface in the network.
object
object
Name of your subnet in VPC network Required: YES.
object
IPv4 prefix for this Subnet. It has to be private address space. Required: YES.
Name of new VPC Subnet, will be autogenerated if empty.
object
object
object
object
object
object
Number of main nodes to create, either 1 or 3.
object
object
Name for your GCP VPC Network Required: YES.
object
Name for your GCP VPC Network Required: YES.
object
object
List of Static routes
Required: YES.
Different ways to configure static routes.
object
object
List of route attributes associated with the static route.
Add Labels for this Static Route, these labels can be used in network policy.
object
object
Nexthop is network interface when type is “Network-Interface”
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
object
object
IPv4 Address in string form with dot-decimal notation.
object
IPv6 Address in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ The address can be compacted by suppressing zeros e.g. ‘2001:db8:0:0:0:0:2:1’ becomes ‘2001:db8::2:1’ or ‘2001:db8:0:0:0:2:0:0’ becomes ‘2001:db8::2::’
List of route prefixes
Required: YES.
IP Address used to specify an IPv4 or IPv6 subnet addresses.
object
object
Prefix-length of the IPv4 subnet. Must be <= 32.
Prefix part of the IPv4 subnet in string form with dot-decimal notation.
object
Prefix length of the IPv6 subnet. Must be <= 128.
Prefix part of the IPv6 subnet given in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ e.g. “2001:db8:0:0:0:2:0:0” The address can be compacted by suppressing zeros e.g. “2001:db8::2::”
Exclusive with [custom_static_route] Use simple static route for prefix pointing to single interface in the network.
object
object
Name of your subnet in VPC network Required: YES.
object
IPv4 prefix for this Subnet. It has to be private address space. Required: YES.
Name of new VPC Subnet, will be autogenerated if empty.
object
object
object
object
object
object
object
object
X-required List of zones when instances will be created, needs to match with region selected. Required: YES.
object
object
Name for your GCP VPC Network Required: YES.
object
Name for your GCP VPC Network Required: YES.
object
object
object
Name of your subnet in VPC network Required: YES.
object
IPv4 prefix for this Subnet. It has to be private address space. Required: YES.
Name of new VPC Subnet, will be autogenerated if empty.
Number of main nodes to create, either 1 or 3.
object
object
object
object
object
Select Instance size based on performance needed Required: YES.
object
object
object
object
Exclusive with []
Seconds to wait before initiating upgrade on the next set of nodes. Setting it to 0 will wait indefinitely for all services on nodes to be upgraded gracefully before proceeding to the next set of nodes. (Warning: It may block upgrade if services on a node cannot be gracefully upgraded. It is recommended to use the default value).
Required: YES.
object
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
object
object
object
object
object
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
object
Public SSH key for accessing the site. Required: YES.
object
object
Ordered List of Enhanced Firewall Policies active
Required: YES.
This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
Ordered List of Forward Proxy Policies active
Required: YES.
This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
Ordered List of Firewall Policies active for this network firewall
Required: YES.
This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
X-required List of zones when instances will be created, needs to match with region selected. Required: YES.
object
Global network connections
Required: YES.
Global network connection.
object
object
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
object
object
object
object
object
Number of main nodes to create, either 1 or 3.
object
List of Static routes
Required: YES.
Different ways to configure static routes.
object
object
List of route attributes associated with the static route.
Add Labels for this Static Route, these labels can be used in network policy.
object
object
Nexthop is network interface when type is “Network-Interface”
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
object
object
IPv4 Address in string form with dot-decimal notation.
object
IPv6 Address in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ The address can be compacted by suppressing zeros e.g. ‘2001:db8:0:0:0:0:2:1’ becomes ‘2001:db8::2:1’ or ‘2001:db8:0:0:0:2:0:0’ becomes ‘2001:db8::2::’
List of route prefixes
Required: YES.
IP Address used to specify an IPv4 or IPv6 subnet addresses.
object
object
Prefix-length of the IPv4 subnet. Must be <= 32.
Prefix part of the IPv4 subnet in string form with dot-decimal notation.
object
Prefix length of the IPv6 subnet. Must be <= 128.
Prefix part of the IPv6 subnet given in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ e.g. “2001:db8:0:0:0:2:0:0” The address can be compacted by suppressing zeros e.g. “2001:db8::2::”
Exclusive with [custom_static_route] Use simple static route for prefix pointing to single interface in the network.
object
object
Name for your GCP VPC Network Required: YES.
object
Name for your GCP VPC Network Required: YES.
object
object
object
Name of your subnet in VPC network Required: YES.
object
IPv4 prefix for this Subnet. It has to be private address space. Required: YES.
Name of new VPC Subnet, will be autogenerated if empty.
object
object
Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example